Help

0

KeyError: 'ir.actions.menu' Internal server error

I have created custom module. In that, edited view.py for form view. After editing that, server showing KeyError: 'ir.actions.menu'. and my page showing Internal server error. I have mentioned error below. After deleting newly created module, I'm getting same error for that particular database. 


2019-10-22 07:41:08,544 8648 ERROR Odoo_test_3_Error odoo.addons.website.models.ir_http: 500 Internal Server Error: 

Traceback (most recent call last):
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\cache.py", line 88, in lookup
r = d[key]
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\func.py", line 69, in wrapper
return func(self, *args, **kwargs)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\lru.py", line 44, in __getitem__
a = self.d[obj].me
KeyError: ('ir.ui.menu', <function IrUiMenu.load_menus_root at 0x03CFE660>, 2, ('en_US',))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\cache.py", line 88, in lookup
r = d[key]
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\func.py", line 69, in wrapper
return func(self, *args, **kwargs)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\lru.py", line 44, in __getitem__
a = self.d[obj].me
KeyError: ('ir.ui.menu', <function IrUiMenu._visible_menu_ids at 0x03CFE2B8>, frozenset({1, 2, 3, 6, 7, 8, 11, 12, 13, 18, 19, 20, 21, 34, 35, 36, 46, 47, 50, 54, 57, 58, 65, 73, 74, 80, 81, 82, 83, 85, 86, 87, 88, 89, 90, 93, 94, 95, 96, 97, 98, 99, 100, 101, 102, 105, 106, 107, 108, 109}), None)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\api.py", line 1039, in get
value = self._data[key][field][record._ids[0]]
KeyError: 62

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\fields.py", line 981, in __get__
value = record.env.cache.get(record, self)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\api.py", line 1041, in get
raise CacheMiss(record, field)
odoo.exceptions.CacheMiss: ('ir.ui.menu(62,).action', None)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_http.py", line 203, in _dispatch
result = request.dispatch()
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 835, in dispatch
r = self._call_function(**self.params)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 346, in _call_function
return checked_call(self.db, *args, **kwargs)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\service\model.py", line 97, in wrapper
return f(dbname, *args, **kwargs)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 342, in checked_call
result.flatten()
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 1270, in flatten
self.response.append(self.render())
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 1263, in render
return env["ir.ui.view"].render_template(self.template, self.qcontext)
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_ui_view.py", line 1299, in render_template
return self.browse(self.get_view_id(template)).render(values, engine)
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\website\models\ir_ui_view.py", line 315, in render
return super(View, self).render(values, engine=engine, minimal_qcontext=minimal_qcontext)
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\web_editor\models\ir_ui_view.py", line 27, in render
return super(IrUiView, self).render(values=values, engine=engine, minimal_qcontext=minimal_qcontext)
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_ui_view.py", line 1305, in render
qcontext = dict() if minimal_qcontext else self._prepare_qcontext()
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\website\models\ir_ui_view.py", line 357, in _prepare_qcontext
menu_data=self.env['ir.ui.menu'].load_menus_root() if request.website.is_user() else None,
File "<decorator-gen-30>", line 2, in load_menus_root
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\cache.py", line 93, in lookup
value = d[key] = self.method(*args, **kwargs)
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_ui_menu.py", line 209, in load_menus_root
menu_roots = self.get_user_roots()
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_ui_menu.py", line 203, in get_user_roots
return self.search([('parent_id', '=', False)])
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\models.py", line 1561, in search
res = self._search(args, offset=offset, limit=limit, order=order, count=count)
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_ui_menu.py", line 135, in _search
menus = menus._filter_visible_menus()
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_ui_menu.py", line 125, in _filter_visible_menus
KeyError: 'ir.actions.menu'

2019-10-22 07:41:10,074 8648 ERROR Odoo_test_3_Error werkzeug: Error on request:
Traceback (most recent call last):
File "C:\Program Files (x86)\Odoo 12.0\python\lib\site-packages\werkzeug\serving.py", line 205, in run_wsgi
execute(self.server.app)
File "C:\Program Files (x86)\Odoo 12.0\python\lib\site-packages\werkzeug\serving.py", line 193, in execute
application_iter = app(environ, start_response)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\service\server.py", line 409, in app
return self.app(e, s)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\service\wsgi_server.py", line 128, in application
return application_unproxied(environ, start_response)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\service\wsgi_server.py", line 117, in application_unproxied
result = odoo.http.root(environ, start_response)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 1320, in __call__
return self.dispatch(environ, start_response)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 1293, in __call__
return self.app(environ, start_wrapped)
File "C:\Program Files (x86)\Odoo 12.0\python\lib\site-packages\werkzeug\wsgi.py", line 599, in __call__
return self.app(environ, start_response)
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 1488, in dispatch
result = ir_http._dispatch()
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\website_sale\models\ir_http.py", line 15, in _dispatch
return super(IrHttp, cls)._dispatch()
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\auth_signup\models\ir_http.py", line 19, in _dispatch
return super(Http, cls)._dispatch()
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\web_editor\models\ir_http.py", line 22, in _dispatch
return super(IrHttp, cls)._dispatch()
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\http_routing\models\ir_http.py", line 397, in _dispatch
result = super(IrHttp, cls)._dispatch()
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\utm\models\ir_http.py", line 26, in _dispatch
response = super(IrHttp, cls)._dispatch()
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_http.py", line 207, in _dispatch
return cls._handle_exception(e)
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\website\models\ir_http.py", line 295, in _handle_exception
html = env['ir.ui.view'].render_template('website.http_error', values)
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_ui_view.py", line 1299, in render_template
return self.browse(self.get_view_id(template)).render(values, engine)
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\website\models\ir_ui_view.py", line 315, in render
return super(View, self).render(values, engine=engine, minimal_qcontext=minimal_qcontext)
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\web_editor\models\ir_ui_view.py", line 27, in render
return super(IrUiView, self).render(values=values, engine=engine, minimal_qcontext=minimal_qcontext)
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_ui_view.py", line 1305, in render
qcontext = dict() if minimal_qcontext else self._prepare_qcontext()
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\website\models\ir_ui_view.py", line 357, in _prepare_qcontext
menu_data=self.env['ir.ui.menu'].load_menus_root() if request.website.is_user() else None,
File "<decorator-gen-30>", line 2, in load_menus_root

File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\cache.py", line 93, in lookup
value = d[key] = self.method(*args, **kwargs)
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_ui_menu.py", line 209, in load_menus_root
menu_roots = self.get_user_roots()
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_ui_menu.py", line 203, in get_user_roots
return self.search([('parent_id', '=', False)])
File "C:\Program Files (x86)\Odoo 12.0\server\odoo\models.py", line 1561, in search
res = self._search(args, offset=offset, limit=limit, order=order, count=count)
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_ui_menu.py", line 135, in _search
menus = menus._filter_visible_menus()
File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_ui_menu.py", line 125, in _filter_visible_menus
KeyError: 'ir.actions.menu' - - -


アバター
破棄
2 回答
0
Best Answer

Solved. Deleted views and menu rows of newly created module in database using pgAdmin. But can't able to find how it occurs.

アバター
破棄
0
Best Answer

 thks

アバター
破棄